std::is_rvalue_reference(3)

NAME
std::is_rvalue_reference - std::is_rvalue_reference

Synopsis
   Defined in header <type_traits>
   template< class T > (since C++11)
   struct is_rvalue_reference;
   Checks whether T is an rvalue reference type. Provides the member constant value
   which is equal to true, if T is an rvalue reference type. Otherwise, value is equal
   to false.
   The behavior of a program that adds specializations for is_rvalue_reference
   or is_rvalue_reference_v
   (since C++17) is undefined.

Template parameters
   T - a type to check
  Helper variable template
   template< class T >
   inline constexpr bool is_rvalue_reference_v = (since C++17)
   is_rvalue_reference<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is an rvalue reference type , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Possible implementation
   template <class T> struct is_rvalue_reference : std::false_type {};
   template <class T> struct is_rvalue_reference<T&&> : std::true_type {};

Example
// Run this code
 #include <type_traits>
 class A {};
 int main()
 {
     static_assert( not std::is_rvalue_reference_v<A> );
     static_assert( not std::is_rvalue_reference_v<A&> );
     static_assert( std::is_rvalue_reference_v<A&&> );
     static_assert( not std::is_rvalue_reference_v<int> );
     static_assert( not std::is_rvalue_reference_v<int&> );
     static_assert( std::is_rvalue_reference_v<int&&> );
 }

See also
   is_lvalue_reference checks if a type is a lvalue reference
   (C++11) (class template)
   is_reference checks if a type is either a lvalue reference or rvalue
   (C++11) reference
                       (class template)